# frozen_string_literal: true

# this file is synced from dry-rb/template-gem project

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dry/validation/version"

GEM_CERT = File.expand_path('../gem-public_cert.pem', __dir__).freeze
GEM_KEY  = File.expand_path('../gem-private_key.pem', __dir__).freeze

Gem::Specification.new do |spec|
  spec.cert_chain  = [GEM_CERT] if File.file? GEM_CERT
  spec.signing_key = GEM_KEY    if File.file? GEM_KEY

  spec.name          = "dry-validation"
  spec.authors       = ["Piotr Solnica"]
  spec.email         = ["piotr.solnica@gmail.com"]
  spec.license       = "MIT"
  spec.version       = Dry::Validation::VERSION.dup

  spec.summary       = "Validation library"
  spec.description   = spec.summary
  spec.homepage      = "https://dry-rb.org/gems/dry-validation"
  spec.files         = Dir["CHANGELOG.md", "LICENSE", "README.md", "dry-validation.gemspec", "lib/**/*", "config/*.yml"]
  spec.bindir        = "bin"
  spec.executables   = []
  spec.require_paths = ["lib"]

  spec.metadata["allowed_push_host"] = "https://rubygems.causa-arcana.com"
  spec.metadata["changelog_uri"]     = "https://github.com/dry-rb/dry-validation/blob/main/CHANGELOG.md"
  spec.metadata["source_code_uri"]   = "https://github.com/dry-rb/dry-validation"
  spec.metadata["bug_tracker_uri"]   = "https://github.com/dry-rb/dry-validation/issues"

  spec.required_ruby_version = ">= 2.7.0"

  # to update dependencies edit project.yml
  spec.add_runtime_dependency "concurrent-ruby", "~> 1.0"
  spec.add_runtime_dependency "dry-core", "~> 1.0", "< 2"
  spec.add_runtime_dependency "dry-initializer", "~> 3.0"
  spec.add_runtime_dependency "dry-schema", ">= 1.12", "< 2"
  spec.add_runtime_dependency "zeitwerk", "~> 2.6"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
